<template>
    <div class="sketchType" v-show="selectDetail?.newDetail?.[currentDetailType]">
		<div class="detailText">New Apparel</div>
		<div class="sketchContent">
			<img :src="selectDetail?.newDetail?.[currentDetailType]?selectDetail.newDetail?.[currentDetailType].url:selectDetail.path" :title="selectDetail.type" alt="">
		</div>
    </div>
</template>
<script lang="ts">
import { defineComponent,computed,ref,provide,nextTick,createVNode,toRefs, reactive} from 'vue'
// import setDesignItem from '@/component/Detail/setDesignItem2.vue'
import { ExclamationCircleOutlined } from '@ant-design/icons-vue';
import { Https } from "@/tool/https";
import { useStore } from "vuex";
import { useI18n } from 'vue-i18n'
export default defineComponent({
    components:{
    },
    setup(props,{emit}) {
        const store = useStore();
		const detailData = reactive({
		    selectDetail:computed(()=>store.state.DesignDetailCopy.selectDetail),
		    currentDetailType:computed(()=>store.state.DesignDetailCopy.currentDetailType),
		})
		const getDetailListData = reactive({
		
		})
		const getDetailListDom = reactive({
		})
        return{
			...toRefs(detailData),
			...toRefs(getDetailListData),
			...toRefs(getDetailListDom),

        }
    },

	provide() {
		return {
		}
	},
		
})
</script>
<style lang="less" scoped>
    .sketchType{
		margin: auto 0;
		width: 100%;
		> .detailText{
			margin-bottom: 1rem;
		}
		> .sketchContent{
			> img{
				width: 100%;
				object-fit: contain;
				max-height: 60rem;
			}
		}
	}
</style>